Bug 1129614 - perl-MooseX-Declare-0.35-8.fc22 FTBFS: Can't locate object method "current_metaclass" via package "MooseX::Role::Parameterized" at /builddir/build/BUILD/MooseX-Declare-0.35/blib/lib/MooseX/Declare/Syntax/MethodDeclaration/Parameterized.pm line 20
Summary: perl-MooseX-Declare-0.35-8.fc22 FTBFS: Can't locate object method "current_me...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-MooseX-Declare
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 10:58 UTC by Petr Pisar
Modified: 2014-08-15 09:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 09:25:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 97690 None None None Never

Description Petr Pisar 2014-08-13 10:58:15 UTC
perl-MooseX-Declare-0.35-8.fc22 fails to build in F22 because t/role_parameterized.t test fails:

Can't locate object method "current_metaclass" via package "MooseX::Role::Parameterized" at /builddir/build/BUILD/MooseX-Declare-0.35/blib/lib/MooseX/Declare/Syntax/MethodDeclaration/Parameterized.pm line 20.
Compilation failed in require at t/role_parameterized.t line 8.
BEGIN failed--compilation aborted at t/role_parameterized.t line 8.
t/role_parameterized.t ................ 
Dubious, test returned 255 (wstat 65280, 0xff00)
No subtests run

Comment 1 Paul Howarth 2014-08-14 15:38:26 UTC
This should start building again once MooseX::Role::Parameterized 1.07 is in the buildroot, as current_metaclass has been restored.

Comment 2 Paul Howarth 2014-08-15 09:25:29 UTC
It's working again now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7309842


Note You need to log in before you can comment on or make changes to this bug.